diff --git a/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart b/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart
index a047441..5d100b5 100644
--- a/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart
+++ b/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart
@@ -11,9 +11,6 @@ import 'package:penyaluran_app/app/modules/auth/controllers/auth_controller.dart
 import 'package:penyaluran_app/app/services/supabase_service.dart';
 import 'package:penyaluran_app/app/routes/app_pages.dart';
 import 'package:image_picker/image_picker.dart';
-import 'dart:io';
-
-import 'package:supabase_flutter/supabase_flutter.dart';
 
 class DonaturDashboardController extends GetxController {
   final AuthController _authController = Get.find<AuthController>();
diff --git a/lib/app/modules/donatur/views/donatur_penitipan_view.dart b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
index b4195ba..cdbbf58 100644
--- a/lib/app/modules/donatur/views/donatur_penitipan_view.dart
+++ b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
@@ -1,6 +1,5 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/data/models/skema_bantuan_model.dart';
 import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard_controller.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
diff --git a/lib/app/modules/petugas_desa/components/calendar_view_widget.dart b/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
index eb66dd6..903a07e 100644
--- a/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
+++ b/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
@@ -8,11 +8,16 @@ import 'package:penyaluran_app/app/utils/date_time_helper.dart';
 
 class CalendarViewWidget extends StatelessWidget {
   final JadwalPenyaluranController controller;
+  final CalendarController _calendarController = CalendarController();
 
-  const CalendarViewWidget({
+  CalendarViewWidget({
     super.key,
     required this.controller,
-  });
+  }) {
+    // Mengatur controller kalender untuk selalu memilih hari ini saat inisialisasi
+    _calendarController.selectedDate = DateTime.now();
+    _calendarController.displayDate = DateTime.now();
+  }
 
   @override
   Widget build(BuildContext context) {
@@ -49,6 +54,9 @@ class CalendarViewWidget extends StatelessWidget {
               child: Obx(() {
                 return SfCalendar(
                   view: CalendarView.month,
+                  controller: _calendarController,
+                  initialSelectedDate: DateTime.now(),
+                  initialDisplayDate: DateTime.now(),
                   dataSource: _getCalendarDataSource(),
                   timeZone: 'Asia/Jakarta',
                   monthViewSettings: MonthViewSettings(
@@ -246,7 +254,7 @@ class CalendarViewWidget extends StatelessWidget {
     List<Appointment> appointments = [];
 
     List<PenyaluranBantuanModel> allJadwal = [
-      ...controller.jadwalHariIni,
+      ...controller.jadwalAktif,
       ...controller.jadwalMendatang,
       ...controller.jadwalTerlaksana,
     ];
@@ -556,7 +564,7 @@ class CalendarViewWidget extends StatelessWidget {
 
     // Cari jadwal dengan ID yang sesuai
     for (var jadwal in [
-      ...controller.jadwalHariIni,
+      ...controller.jadwalAktif,
       ...controller.jadwalMendatang,
       ...controller.jadwalTerlaksana
     ]) {
diff --git a/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart b/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart
index 2ae8853..f244283 100644
--- a/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart
+++ b/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart
@@ -165,9 +165,10 @@ class JadwalSectionWidget extends StatelessWidget {
 
   List<PenyaluranBantuanModel> _getCurrentJadwalList() {
     switch (title) {
-      case 'Hari Ini':
-        return controller.jadwalHariIni.toList();
-      case 'Mendatang':
+      case 'Penyaluran Aktif':
+        return controller.jadwalAktif.toList();
+
+      case '7 Hari Mendatang':
         return controller.jadwalMendatang.toList();
       case 'Terlaksana':
         return controller.jadwalTerlaksana.toList();
diff --git a/lib/app/modules/petugas_desa/controllers/counter_service.dart b/lib/app/modules/petugas_desa/controllers/counter_service.dart
index c379da8..c75b622 100644
--- a/lib/app/modules/petugas_desa/controllers/counter_service.dart
+++ b/lib/app/modules/petugas_desa/controllers/counter_service.dart
@@ -73,17 +73,23 @@ class CounterService extends GetxService {
   void updatePengaduanCounter(int diproses) {
     jumlahDiproses.value = diproses;
     _storage.write(_keyDiproses, diproses);
+
+    print('Counter pengaduan updated and saved - Diproses: $diproses');
   }
 
   // Metode untuk memperbarui counter notifikasi
   void updateNotifikasiCounter(int belumDibaca) {
     jumlahNotifikasiBelumDibaca.value = belumDibaca;
     _storage.write(_keyNotifikasi, belumDibaca);
+
+    print('Counter notifikasi updated and saved - Belum Dibaca: $belumDibaca');
   }
 
   // Metode untuk memperbarui counter jadwal
   void updateJadwalCounter(int hariIni) {
     jumlahJadwalHariIni.value = hariIni;
     _storage.write(_keyJadwal, hariIni);
+
+    print('Counter jadwal updated and saved - Hari Ini: $hariIni');
   }
 }
diff --git a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
index 38653e2..18cfcfb 100644
--- a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
@@ -204,6 +204,27 @@ class DetailPenyaluranController extends GetxController {
           .update(updateData)
           .eq('id', penerima.id!);
 
+      // Dapatkan data penerima penyaluran (stok_bantuan_id dan jumlah)
+      final penerimaData = await _supabaseService.client
+          .from('penerima_penyaluran')
+          .select('penyaluran_bantuan_id, stok_bantuan_id, jumlah_bantuan')
+          .eq('id', penerima.id!)
+          .single();
+
+      if (penerimaData != null) {
+        final String stokBantuanId = penerimaData['stok_bantuan_id'];
+        final double jumlah = penerimaData['jumlah_bantuan'] is int
+            ? penerimaData['jumlah_bantuan'].toDouble()
+            : penerimaData['jumlah_bantuan'];
+
+        // Kurangi stok dan catat riwayat
+        final petugasId = _supabaseService.client.auth.currentUser?.id;
+        if (petugasId != null) {
+          await _supabaseService.kurangiStokDariPenyaluran(
+              penerima.id!, stokBantuanId, jumlah, petugasId);
+        }
+      }
+
       // Refresh data setelah konfirmasi berhasil
       await refreshData();
 
diff --git a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
index 291211c..03ec793 100644
--- a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
@@ -24,7 +24,7 @@ class JadwalPenyaluranController extends GetxController {
   final RxInt selectedCategoryIndex = 0.obs;
 
   // Data untuk jadwal
-  final RxList<PenyaluranBantuanModel> jadwalHariIni =
+  final RxList<PenyaluranBantuanModel> jadwalAktif =
       <PenyaluranBantuanModel>[].obs;
   final RxList<PenyaluranBantuanModel> jadwalMendatang =
       <PenyaluranBantuanModel>[].obs;
@@ -97,7 +97,7 @@ class JadwalPenyaluranController extends GetxController {
       List<PenyaluranBantuanModel> jadwalToUpdate = [];
       List<PenyaluranBantuanModel> jadwalTerlewat = [];
 
-      for (var jadwal in jadwalHariIni) {
+      for (var jadwal in jadwalAktif) {
         if (jadwal.tanggalPenyaluran != null) {
           final jadwalDateTime =
               DateTimeHelper.toLocalDateTime(jadwal.tanggalPenyaluran!);
@@ -175,9 +175,9 @@ class JadwalPenyaluranController extends GetxController {
     isLoading.value = true;
     try {
       // Mengambil data jadwal hari ini
-      final jadwalHariIniData = await _supabaseService.getJadwalHariIni();
-      if (jadwalHariIniData != null) {
-        jadwalHariIni.value = jadwalHariIniData
+      final jadwalAktifData = await _supabaseService.getJadwalAktif();
+      if (jadwalAktifData != null) {
+        jadwalAktif.value = jadwalAktifData
             .map((data) => PenyaluranBantuanModel.fromJson(data))
             .toList();
       }
diff --git a/lib/app/modules/petugas_desa/controllers/pelaksanaan_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/pelaksanaan_penyaluran_controller.dart
index 007b6e1..e88c041 100644
--- a/lib/app/modules/petugas_desa/controllers/pelaksanaan_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/pelaksanaan_penyaluran_controller.dart
@@ -250,29 +250,29 @@ class PelaksanaanPenyaluranController extends GetxController {
     filteredPenerima.value = filtered;
   }
 
-  // Metode untuk memperbarui status penerimaan bantuan
-  Future<bool> updateStatusPenerimaan(int penerimaId, String status,
-      {DateTime? tanggalPenerimaan,
-      String? buktiPenerimaan,
-      String? keterangan}) async {
-    try {
-      final result = await supabaseService.updateStatusPenerimaan(
-          penerimaId, status,
-          tanggalPenerimaan: tanggalPenerimaan,
-          buktiPenerimaan: buktiPenerimaan,
-          keterangan: keterangan);
+  // // Metode untuk memperbarui status penerimaan bantuan
+  // Future<bool> updateStatusPenerimaan(int penerimaId, String status,
+  //     {DateTime? tanggalPenerimaan,
+  //     String? buktiPenerimaan,
+  //     String? keterangan}) async {
+  //   try {
+  //     final result = await supabaseService.updateStatusPenerimaan(
+  //         penerimaId, status,
+  //         tanggalPenerimaan: tanggalPenerimaan,
+  //         buktiPenerimaan: buktiPenerimaan,
+  //         keterangan: keterangan);
 
-      // Jika berhasil, perbarui data lokal
-      if (result) {
-        await loadPenerimaPenyaluran(activePenyaluranId.value);
-      }
+  //     // Jika berhasil, perbarui data lokal
+  //     if (result) {
+  //       await loadPenerimaPenyaluran(activePenyaluranId.value);
+  //     }
 
-      return result;
-    } catch (e) {
-      print('Error updating status penerimaan: $e');
-      return false;
-    }
-  }
+  //     return result;
+  //   } catch (e) {
+  //     print('Error updating status penerimaan: $e');
+  //     return false;
+  //   }
+  // }
 
   // Metode untuk menyelesaikan jadwal penyaluran
   Future<void> completeJadwal(String jadwalId) async {
diff --git a/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart b/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart
index 576e762..676f3f2 100644
--- a/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart
@@ -309,10 +309,10 @@ class PetugasDesaController extends GetxController {
   // Metode untuk memuat data jadwal
   Future<void> loadJadwalData() async {
     try {
-      final jadwalHariIniData = await _supabaseService.getJadwalHariIni();
-      if (jadwalHariIniData != null) {
-        jadwalHariIni.value = jadwalHariIniData;
-        _counterService.updateJadwalCounter(jadwalHariIniData.length);
+      final jadwalAktifData = await _supabaseService.getJadwalAktif();
+      if (jadwalAktifData != null) {
+        jadwalHariIni.value = jadwalAktifData;
+        _counterService.updateJadwalCounter(jadwalAktifData.length);
       }
     } catch (e) {
       print('Error loading jadwal data: $e');
@@ -360,7 +360,7 @@ class PetugasDesaController extends GetxController {
 
         // Hitung jumlah pengaduan dengan status DIPROSES
         for (var item in pengaduanData) {
-          if (item['status'] == 'DIPROSES') {
+          if (item['status'] == 'MENUNGGU') {
             diproses++;
           }
         }
@@ -609,22 +609,22 @@ class PetugasDesaController extends GetxController {
   }
 
   // Metode untuk memperbarui status penerimaan bantuan
-  Future<bool> updateStatusPenerimaan(int penerimaId, String status,
-      {DateTime? tanggalPenerimaan,
-      String? buktiPenerimaan,
-      String? keterangan}) async {
-    try {
-      final result = await _supabaseService.updateStatusPenerimaan(
-          penerimaId, status,
-          tanggalPenerimaan: tanggalPenerimaan,
-          buktiPenerimaan: buktiPenerimaan,
-          keterangan: keterangan);
-      return result;
-    } catch (e) {
-      print('Error updating status penerimaan: $e');
-      return false;
-    }
-  }
+  // Future<bool> updateStatusPenerimaan(int penerimaId, String status,
+  //     {DateTime? tanggalPenerimaan,
+  //     String? buktiPenerimaan,
+  //     String? keterangan}) async {
+  //   try {
+  //     final result = await _supabaseService.updateStatusPenerimaan(
+  //         penerimaId, status,
+  //         tanggalPenerimaan: tanggalPenerimaan,
+  //         buktiPenerimaan: buktiPenerimaan,
+  //         keterangan: keterangan);
+  //     return result;
+  //   } catch (e) {
+  //     print('Error updating status penerimaan: $e');
+  //     return false;
+  //   }
+  // }
 
   // Metode untuk menyelesaikan jadwal penyaluran
   Future<void> completeJadwal(String jadwalId) async {
diff --git a/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart b/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart
index e2f1034..79ab5a7 100644
--- a/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart
@@ -4,10 +4,12 @@ import 'package:penyaluran_app/app/data/models/user_model.dart';
 import 'package:penyaluran_app/app/data/models/notifikasi_model.dart';
 import 'package:penyaluran_app/app/modules/auth/controllers/auth_controller.dart';
 import 'package:penyaluran_app/app/services/supabase_service.dart';
+import 'package:penyaluran_app/app/modules/petugas_desa/controllers/counter_service.dart';
 
 class PetugasDesaDashboardController extends GetxController {
   final AuthController _authController = Get.find<AuthController>();
   final SupabaseService _supabaseService = SupabaseService.to;
+  late final CounterService _counterService;
 
   final RxBool isLoading = false.obs;
 
@@ -22,6 +24,12 @@ class PetugasDesaDashboardController extends GetxController {
   final RxInt totalPenitipanTerverifikasi = 0.obs;
   final RxDouble progressPenyaluran = 0.0.obs;
 
+  // Data untuk status penyaluran
+  final RxInt penyaluranDijadwalkan = 0.obs;
+  final RxInt penyaluranAktif = 0.obs;
+  final RxInt penyaluranBatal = 0.obs;
+  final RxInt penyaluranTerlaksana = 0.obs;
+
   // Data untuk notifikasi
   final RxList<NotifikasiModel> notifikasiBelumDibaca = <NotifikasiModel>[].obs;
   final RxInt jumlahNotifikasiBelumDibaca = 0.obs;
@@ -45,13 +53,24 @@ class PetugasDesaDashboardController extends GetxController {
       userProfile['desa']?['nama'] ??
       (userProfile['desa_id'] != null ? 'Desa' : 'Desa');
 
+  // Getter untuk counter dari CounterService
+  RxInt get jumlahMenunggu => _counterService.jumlahMenunggu;
+  RxInt get jumlahDiproses => _counterService.jumlahDiproses;
+
   @override
   void onInit() {
     super.onInit();
+
+    // Inisialisasi CounterService jika belum ada
+    if (!Get.isRegistered<CounterService>()) {
+      Get.put(CounterService(), permanent: true);
+    }
+    _counterService = Get.find<CounterService>();
+
     loadUserProfile();
     loadDashboardData();
     loadNotifikasiData();
-    loadJadwalHariIni();
+    loadJadwalAktif();
   }
 
   @override
@@ -97,6 +116,15 @@ class PetugasDesaDashboardController extends GetxController {
           await _supabaseService.getTotalSemuaPenyaluran();
       totalSemuaPenyaluran.value = semuaPenyaluranData ?? 0;
 
+      // Mengambil data status penyaluran
+      final statusPenyaluranData = await _supabaseService.getStatusPenyaluran();
+      if (statusPenyaluranData != null) {
+        penyaluranDijadwalkan.value = statusPenyaluranData['dijadwalkan'] ?? 0;
+        penyaluranAktif.value = statusPenyaluranData['aktif'] ?? 0;
+        penyaluranBatal.value = statusPenyaluranData['batal'] ?? 0;
+        penyaluranTerlaksana.value = statusPenyaluranData['terlaksana'] ?? 0;
+      }
+
       // Menghitung progress penyaluran (persentase penyaluran yang terlaksana dari total semua penyaluran)
       if (totalSemuaPenyaluran.value > 0) {
         progressPenyaluran.value =
@@ -127,9 +155,9 @@ class PetugasDesaDashboardController extends GetxController {
     }
   }
 
-  Future<void> loadJadwalHariIni() async {
+  Future<void> loadJadwalAktif() async {
     try {
-      final jadwalData = await _supabaseService.getJadwalHariIni();
+      final jadwalData = await _supabaseService.getJadwalAktif();
       if (jadwalData != null) {
         jadwalHariIni.value = jadwalData;
       }
@@ -145,7 +173,7 @@ class PetugasDesaDashboardController extends GetxController {
         loadUserProfile(),
         loadDashboardData(),
         loadNotifikasiData(),
-        loadJadwalHariIni(),
+        loadJadwalAktif(),
       ]);
     } catch (e) {
       print('Error refreshing data: $e');
diff --git a/lib/app/modules/petugas_desa/controllers/riwayat_stok_controller.dart b/lib/app/modules/petugas_desa/controllers/riwayat_stok_controller.dart
index fd162d8..8b497e6 100644
--- a/lib/app/modules/petugas_desa/controllers/riwayat_stok_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/riwayat_stok_controller.dart
@@ -302,4 +302,26 @@ class RiwayatStokController extends GetxController {
     alasan.value = '';
     fotoBukti.value = null;
   }
+
+  // Metode untuk mendapatkan detail referensi berdasarkan id dan sumber
+  Future<Map<String, dynamic>?> getReferensiDetail({
+    required String idReferensi,
+    required String sumber,
+  }) async {
+    try {
+      Map<String, dynamic>? data;
+
+      // Berdasarkan sumber, ambil data dari tabel yang sesuai
+      if (sumber == 'penitipan') {
+        data = await _supabaseService.getPenitipanById(idReferensi);
+      } else if (sumber == 'penerimaan') {
+        data = await _supabaseService.getPenerimaanById(idReferensi);
+      }
+
+      return data;
+    } catch (e) {
+      print('Error getting referensi detail: $e');
+      throw Exception('Gagal mendapatkan data: $e');
+    }
+  }
 }
diff --git a/lib/app/modules/petugas_desa/views/dashboard_view.dart b/lib/app/modules/petugas_desa/views/dashboard_view.dart
index cdd7e6c..3d06a02 100644
--- a/lib/app/modules/petugas_desa/views/dashboard_view.dart
+++ b/lib/app/modules/petugas_desa/views/dashboard_view.dart
@@ -92,7 +92,7 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
         ),
         const SizedBox(height: 12),
         FutureBuilder<List<Map<String, dynamic>>?>(
-          future: SupabaseService.to.getJadwalHariIni(),
+          future: SupabaseService.to.getJadwalAktif(),
           builder: (context, snapshot) {
             if (snapshot.connectionState == ConnectionState.waiting) {
               return const Center(child: CircularProgressIndicator());
@@ -153,11 +153,16 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
   }
 
   Widget _buildProgressPenyaluran() {
-    // Menghitung nilai untuk progress
-    final terlaksana = controller.totalPenyaluran.value;
-    final total = controller.totalSemuaPenyaluran.value;
-    final progressValue = total > 0 ? terlaksana / total : 0.0;
-    final belumTerlaksana = total - terlaksana;
+    // Menghitung nilai untuk progress berdasarkan status
+    final terlaksana = controller.penyaluranTerlaksana.value;
+    final batal = controller.penyaluranBatal.value;
+    final dijadwalkan = controller.penyaluranDijadwalkan.value;
+    final aktif = controller.penyaluranAktif.value;
+
+    final total = terlaksana + batal + dijadwalkan + aktif;
+    final progressValue = total > 0 ? (terlaksana + batal) / total : 0.0;
+    final belumTerlaksana = dijadwalkan +
+        aktif; // Yang belum terlaksana adalah yang dijadwalkan dan aktif
 
     return Container(
       padding: const EdgeInsets.all(16),
@@ -214,6 +219,12 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
                       Colors.white.withOpacity(0.7),
                     ),
                     const SizedBox(height: 8),
+                    _buildProgressDetailItem(
+                      'Dibatalkan',
+                      '$batal',
+                      Colors.white.withOpacity(0.7),
+                    ),
+                    const SizedBox(height: 8),
                     _buildProgressDetailItem(
                       'Total Penyaluran',
                       '$total',
@@ -270,18 +281,22 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
             Expanded(
               child: StatisticCard(
                 title: 'Penitipan',
-                count: controller.jumlahNotifikasiBelumDibaca.toString(),
+                count: controller.jumlahMenunggu.value.toString(),
                 subtitle: 'Perlu Konfirmasi',
                 height: 120,
                 icon: Icons.inbox,
+                gradient: LinearGradient(
+                  colors: [Colors.orange, Colors.deepOrange],
+                  begin: Alignment.topLeft,
+                  end: Alignment.bottomRight,
+                ),
               ),
             ),
             const SizedBox(width: 10),
             Expanded(
               child: StatisticCard(
                 title: 'Pengaduan',
-                count:
-                    '${controller.totalPenerima.value > 0 ? controller.totalPenerima.value ~/ 10 : 0}',
+                count: controller.jumlahDiproses.value.toString(),
                 subtitle: 'Perlu Tindakan',
                 height: 120,
                 gradient: LinearGradient(
diff --git a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
index 59e57f3..88eed0f 100644
--- a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
+++ b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
@@ -698,10 +698,7 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
       try {
         imageUrl =
             await controller.uploadBuktiPenerimaan(_buktiPenerimaan!.path);
-        print('Berhasil upload bukti penerimaan: $imageUrl');
       } catch (e) {
-        // Jika upload bukti penerimaan gagal, tampilkan pesan dan hentikan proses
-        print('Error upload bukti penerimaan: $e');
         throw Exception('Gagal mengupload bukti penerimaan: $e');
       }
 
@@ -711,46 +708,31 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
         signatureFile = File('${tempDir.path}/signature.png');
         await signatureFile.writeAsBytes(_signatureImage!);
 
-        print('Signature file path: ${signatureFile.path}');
-        print('Signature file exists: ${signatureFile.existsSync()}');
-        print('Signature file size: ${signatureFile.lengthSync()} bytes');
-
         signatureUrl = await controller.uploadBuktiPenerimaan(
           signatureFile.path,
           isTandaTangan: true,
         );
-        print('Berhasil upload tanda tangan: $signatureUrl');
       } catch (e) {
-        // Jika upload tanda tangan gagal, tampilkan pesan dan hentikan proses
-        print('Error upload tanda tangan: $e');
         throw Exception('Gagal mengupload tanda tangan: $e');
       }
 
       // Konfirmasi penerimaan
       try {
-        print('Melakukan konfirmasi penerimaan untuk ID: ${penerima.id}');
         await controller.konfirmasiPenerimaan(
           penerima,
           buktiPenerimaan: imageUrl,
           tandaTangan: signatureUrl,
         );
-        print('Konfirmasi penerimaan berhasil');
       } catch (e) {
-        // Jika konfirmasi penerimaan gagal, tampilkan pesan dan hentikan proses
-        print('Error konfirmasi penerimaan: $e');
         throw Exception('Gagal melakukan konfirmasi penerimaan: $e');
       }
 
       // Hapus file sementara sebelum navigasi
-      try {
-        if (signatureFile.existsSync()) {
-          await signatureFile.delete();
-        }
-        if (tempDir.existsSync()) {
-          await tempDir.delete();
-        }
-      } catch (e) {
-        print('Error saat menghapus file sementara: $e');
+      if (signatureFile.existsSync()) {
+        await signatureFile.delete();
+      }
+      if (tempDir.existsSync()) {
+        await tempDir.delete();
       }
 
       // Tutup semua snackbar yang mungkin masih terbuka
